Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network236.80.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
236.80.0.0
Broadcast address
236.95.255.255
First usable
236.80.0.1
Last usable
236.95.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EC500000 · Integer 3964665856 to 3965714431
Reverse DNS zones
80.236.in-addr.arpa
81.236.in-addr.arpa
82.236.in-addr.arpa
83.236.in-addr.arpa
84.236.in-addr.arpa
85.236.in-addr.arpa
86.236.in-addr.arpa
87.236.in-addr.arpa
88.236.in-addr.arpa
89.236.in-addr.arpa
90.236.in-addr.arpa
91.236.in-addr.arpa
92.236.in-addr.arpa
93.236.in-addr.arpa
94.236.in-addr.arpa
95.236.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101100.01010000.00000000.00000000236.80.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11101100.01010000.00000000.00000000236.80.0.0
Broadcast11101100.01011111.11111111.11111111236.95.255.255
Split into smaller subnets/24

236.80.0.0/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1236.80.0.0/24236.80.0.1 to 236.80.0.254236.80.0.255254
2236.80.1.0/24236.80.1.1 to 236.80.1.254236.80.1.255254
3236.80.2.0/24236.80.2.1 to 236.80.2.254236.80.2.255254
4236.80.3.0/24236.80.3.1 to 236.80.3.254236.80.3.255254
5236.80.4.0/24236.80.4.1 to 236.80.4.254236.80.4.255254
6236.80.5.0/24236.80.5.1 to 236.80.5.254236.80.5.255254
7236.80.6.0/24236.80.6.1 to 236.80.6.254236.80.6.255254
8236.80.7.0/24236.80.7.1 to 236.80.7.254236.80.7.255254
9236.80.8.0/24236.80.8.1 to 236.80.8.254236.80.8.255254
10236.80.9.0/24236.80.9.1 to 236.80.9.254236.80.9.255254
11236.80.10.0/24236.80.10.1 to 236.80.10.254236.80.10.255254
12236.80.11.0/24236.80.11.1 to 236.80.11.254236.80.11.255254
13236.80.12.0/24236.80.12.1 to 236.80.12.254236.80.12.255254
14236.80.13.0/24236.80.13.1 to 236.80.13.254236.80.13.255254
15236.80.14.0/24236.80.14.1 to 236.80.14.254236.80.14.255254
16236.80.15.0/24236.80.15.1 to 236.80.15.254236.80.15.255254
17236.80.16.0/24236.80.16.1 to 236.80.16.254236.80.16.255254
18236.80.17.0/24236.80.17.1 to 236.80.17.254236.80.17.255254
19236.80.18.0/24236.80.18.1 to 236.80.18.254236.80.18.255254
20236.80.19.0/24236.80.19.1 to 236.80.19.254236.80.19.255254
21236.80.20.0/24236.80.20.1 to 236.80.20.254236.80.20.255254
22236.80.21.0/24236.80.21.1 to 236.80.21.254236.80.21.255254
23236.80.22.0/24236.80.22.1 to 236.80.22.254236.80.22.255254
24236.80.23.0/24236.80.23.1 to 236.80.23.254236.80.23.255254
25236.80.24.0/24236.80.24.1 to 236.80.24.254236.80.24.255254
26236.80.25.0/24236.80.25.1 to 236.80.25.254236.80.25.255254
27236.80.26.0/24236.80.26.1 to 236.80.26.254236.80.26.255254
28236.80.27.0/24236.80.27.1 to 236.80.27.254236.80.27.255254
29236.80.28.0/24236.80.28.1 to 236.80.28.254236.80.28.255254
30236.80.29.0/24236.80.29.1 to 236.80.29.254236.80.29.255254
31236.80.30.0/24236.80.30.1 to 236.80.30.254236.80.30.255254
32236.80.31.0/24236.80.31.1 to 236.80.31.254236.80.31.255254
33236.80.32.0/24236.80.32.1 to 236.80.32.254236.80.32.255254
34236.80.33.0/24236.80.33.1 to 236.80.33.254236.80.33.255254
35236.80.34.0/24236.80.34.1 to 236.80.34.254236.80.34.255254
36236.80.35.0/24236.80.35.1 to 236.80.35.254236.80.35.255254
37236.80.36.0/24236.80.36.1 to 236.80.36.254236.80.36.255254
38236.80.37.0/24236.80.37.1 to 236.80.37.254236.80.37.255254
39236.80.38.0/24236.80.38.1 to 236.80.38.254236.80.38.255254
40236.80.39.0/24236.80.39.1 to 236.80.39.254236.80.39.255254
41236.80.40.0/24236.80.40.1 to 236.80.40.254236.80.40.255254
42236.80.41.0/24236.80.41.1 to 236.80.41.254236.80.41.255254
43236.80.42.0/24236.80.42.1 to 236.80.42.254236.80.42.255254
44236.80.43.0/24236.80.43.1 to 236.80.43.254236.80.43.255254
45236.80.44.0/24236.80.44.1 to 236.80.44.254236.80.44.255254
46236.80.45.0/24236.80.45.1 to 236.80.45.254236.80.45.255254
47236.80.46.0/24236.80.46.1 to 236.80.46.254236.80.46.255254
48236.80.47.0/24236.80.47.1 to 236.80.47.254236.80.47.255254
49236.80.48.0/24236.80.48.1 to 236.80.48.254236.80.48.255254
50236.80.49.0/24236.80.49.1 to 236.80.49.254236.80.49.255254
51236.80.50.0/24236.80.50.1 to 236.80.50.254236.80.50.255254
52236.80.51.0/24236.80.51.1 to 236.80.51.254236.80.51.255254
53236.80.52.0/24236.80.52.1 to 236.80.52.254236.80.52.255254
54236.80.53.0/24236.80.53.1 to 236.80.53.254236.80.53.255254
55236.80.54.0/24236.80.54.1 to 236.80.54.254236.80.54.255254
56236.80.55.0/24236.80.55.1 to 236.80.55.254236.80.55.255254
57236.80.56.0/24236.80.56.1 to 236.80.56.254236.80.56.255254
58236.80.57.0/24236.80.57.1 to 236.80.57.254236.80.57.255254
59236.80.58.0/24236.80.58.1 to 236.80.58.254236.80.58.255254
60236.80.59.0/24236.80.59.1 to 236.80.59.254236.80.59.255254
61236.80.60.0/24236.80.60.1 to 236.80.60.254236.80.60.255254
62236.80.61.0/24236.80.61.1 to 236.80.61.254236.80.61.255254
63236.80.62.0/24236.80.62.1 to 236.80.62.254236.80.62.255254
64236.80.63.0/24236.80.63.1 to 236.80.63.254236.80.63.255254
65236.80.64.0/24236.80.64.1 to 236.80.64.254236.80.64.255254
66236.80.65.0/24236.80.65.1 to 236.80.65.254236.80.65.255254
67236.80.66.0/24236.80.66.1 to 236.80.66.254236.80.66.255254
68236.80.67.0/24236.80.67.1 to 236.80.67.254236.80.67.255254
69236.80.68.0/24236.80.68.1 to 236.80.68.254236.80.68.255254
70236.80.69.0/24236.80.69.1 to 236.80.69.254236.80.69.255254
71236.80.70.0/24236.80.70.1 to 236.80.70.254236.80.70.255254
72236.80.71.0/24236.80.71.1 to 236.80.71.254236.80.71.255254
73236.80.72.0/24236.80.72.1 to 236.80.72.254236.80.72.255254
74236.80.73.0/24236.80.73.1 to 236.80.73.254236.80.73.255254
75236.80.74.0/24236.80.74.1 to 236.80.74.254236.80.74.255254
76236.80.75.0/24236.80.75.1 to 236.80.75.254236.80.75.255254
77236.80.76.0/24236.80.76.1 to 236.80.76.254236.80.76.255254
78236.80.77.0/24236.80.77.1 to 236.80.77.254236.80.77.255254
79236.80.78.0/24236.80.78.1 to 236.80.78.254236.80.78.255254
80236.80.79.0/24236.80.79.1 to 236.80.79.254236.80.79.255254
81236.80.80.0/24236.80.80.1 to 236.80.80.254236.80.80.255254
82236.80.81.0/24236.80.81.1 to 236.80.81.254236.80.81.255254
83236.80.82.0/24236.80.82.1 to 236.80.82.254236.80.82.255254
84236.80.83.0/24236.80.83.1 to 236.80.83.254236.80.83.255254
85236.80.84.0/24236.80.84.1 to 236.80.84.254236.80.84.255254
86236.80.85.0/24236.80.85.1 to 236.80.85.254236.80.85.255254
87236.80.86.0/24236.80.86.1 to 236.80.86.254236.80.86.255254
88236.80.87.0/24236.80.87.1 to 236.80.87.254236.80.87.255254
89236.80.88.0/24236.80.88.1 to 236.80.88.254236.80.88.255254
90236.80.89.0/24236.80.89.1 to 236.80.89.254236.80.89.255254
91236.80.90.0/24236.80.90.1 to 236.80.90.254236.80.90.255254
92236.80.91.0/24236.80.91.1 to 236.80.91.254236.80.91.255254
93236.80.92.0/24236.80.92.1 to 236.80.92.254236.80.92.255254
94236.80.93.0/24236.80.93.1 to 236.80.93.254236.80.93.255254
95236.80.94.0/24236.80.94.1 to 236.80.94.254236.80.94.255254
96236.80.95.0/24236.80.95.1 to 236.80.95.254236.80.95.255254
97236.80.96.0/24236.80.96.1 to 236.80.96.254236.80.96.255254
98236.80.97.0/24236.80.97.1 to 236.80.97.254236.80.97.255254
99236.80.98.0/24236.80.98.1 to 236.80.98.254236.80.98.255254
100236.80.99.0/24236.80.99.1 to 236.80.99.254236.80.99.255254
101236.80.100.0/24236.80.100.1 to 236.80.100.254236.80.100.255254
102236.80.101.0/24236.80.101.1 to 236.80.101.254236.80.101.255254
103236.80.102.0/24236.80.102.1 to 236.80.102.254236.80.102.255254
104236.80.103.0/24236.80.103.1 to 236.80.103.254236.80.103.255254
105236.80.104.0/24236.80.104.1 to 236.80.104.254236.80.104.255254
106236.80.105.0/24236.80.105.1 to 236.80.105.254236.80.105.255254
107236.80.106.0/24236.80.106.1 to 236.80.106.254236.80.106.255254
108236.80.107.0/24236.80.107.1 to 236.80.107.254236.80.107.255254
109236.80.108.0/24236.80.108.1 to 236.80.108.254236.80.108.255254
110236.80.109.0/24236.80.109.1 to 236.80.109.254236.80.109.255254
111236.80.110.0/24236.80.110.1 to 236.80.110.254236.80.110.255254
112236.80.111.0/24236.80.111.1 to 236.80.111.254236.80.111.255254
113236.80.112.0/24236.80.112.1 to 236.80.112.254236.80.112.255254
114236.80.113.0/24236.80.113.1 to 236.80.113.254236.80.113.255254
115236.80.114.0/24236.80.114.1 to 236.80.114.254236.80.114.255254
116236.80.115.0/24236.80.115.1 to 236.80.115.254236.80.115.255254
117236.80.116.0/24236.80.116.1 to 236.80.116.254236.80.116.255254
118236.80.117.0/24236.80.117.1 to 236.80.117.254236.80.117.255254
119236.80.118.0/24236.80.118.1 to 236.80.118.254236.80.118.255254
120236.80.119.0/24236.80.119.1 to 236.80.119.254236.80.119.255254
121236.80.120.0/24236.80.120.1 to 236.80.120.254236.80.120.255254
122236.80.121.0/24236.80.121.1 to 236.80.121.254236.80.121.255254
123236.80.122.0/24236.80.122.1 to 236.80.122.254236.80.122.255254
124236.80.123.0/24236.80.123.1 to 236.80.123.254236.80.123.255254
125236.80.124.0/24236.80.124.1 to 236.80.124.254236.80.124.255254
126236.80.125.0/24236.80.125.1 to 236.80.125.254236.80.125.255254
127236.80.126.0/24236.80.126.1 to 236.80.126.254236.80.126.255254
128236.80.127.0/24236.80.127.1 to 236.80.127.254236.80.127.255254
129236.80.128.0/24236.80.128.1 to 236.80.128.254236.80.128.255254
130236.80.129.0/24236.80.129.1 to 236.80.129.254236.80.129.255254
131236.80.130.0/24236.80.130.1 to 236.80.130.254236.80.130.255254
132236.80.131.0/24236.80.131.1 to 236.80.131.254236.80.131.255254
133236.80.132.0/24236.80.132.1 to 236.80.132.254236.80.132.255254
134236.80.133.0/24236.80.133.1 to 236.80.133.254236.80.133.255254
135236.80.134.0/24236.80.134.1 to 236.80.134.254236.80.134.255254
136236.80.135.0/24236.80.135.1 to 236.80.135.254236.80.135.255254
137236.80.136.0/24236.80.136.1 to 236.80.136.254236.80.136.255254
138236.80.137.0/24236.80.137.1 to 236.80.137.254236.80.137.255254
139236.80.138.0/24236.80.138.1 to 236.80.138.254236.80.138.255254
140236.80.139.0/24236.80.139.1 to 236.80.139.254236.80.139.255254
141236.80.140.0/24236.80.140.1 to 236.80.140.254236.80.140.255254
142236.80.141.0/24236.80.141.1 to 236.80.141.254236.80.141.255254
143236.80.142.0/24236.80.142.1 to 236.80.142.254236.80.142.255254
144236.80.143.0/24236.80.143.1 to 236.80.143.254236.80.143.255254
145236.80.144.0/24236.80.144.1 to 236.80.144.254236.80.144.255254
146236.80.145.0/24236.80.145.1 to 236.80.145.254236.80.145.255254
147236.80.146.0/24236.80.146.1 to 236.80.146.254236.80.146.255254
148236.80.147.0/24236.80.147.1 to 236.80.147.254236.80.147.255254
149236.80.148.0/24236.80.148.1 to 236.80.148.254236.80.148.255254
150236.80.149.0/24236.80.149.1 to 236.80.149.254236.80.149.255254
151236.80.150.0/24236.80.150.1 to 236.80.150.254236.80.150.255254
152236.80.151.0/24236.80.151.1 to 236.80.151.254236.80.151.255254
153236.80.152.0/24236.80.152.1 to 236.80.152.254236.80.152.255254
154236.80.153.0/24236.80.153.1 to 236.80.153.254236.80.153.255254
155236.80.154.0/24236.80.154.1 to 236.80.154.254236.80.154.255254
156236.80.155.0/24236.80.155.1 to 236.80.155.254236.80.155.255254
157236.80.156.0/24236.80.156.1 to 236.80.156.254236.80.156.255254
158236.80.157.0/24236.80.157.1 to 236.80.157.254236.80.157.255254
159236.80.158.0/24236.80.158.1 to 236.80.158.254236.80.158.255254
160236.80.159.0/24236.80.159.1 to 236.80.159.254236.80.159.255254
161236.80.160.0/24236.80.160.1 to 236.80.160.254236.80.160.255254
162236.80.161.0/24236.80.161.1 to 236.80.161.254236.80.161.255254
163236.80.162.0/24236.80.162.1 to 236.80.162.254236.80.162.255254
164236.80.163.0/24236.80.163.1 to 236.80.163.254236.80.163.255254
165236.80.164.0/24236.80.164.1 to 236.80.164.254236.80.164.255254
166236.80.165.0/24236.80.165.1 to 236.80.165.254236.80.165.255254
167236.80.166.0/24236.80.166.1 to 236.80.166.254236.80.166.255254
168236.80.167.0/24236.80.167.1 to 236.80.167.254236.80.167.255254
169236.80.168.0/24236.80.168.1 to 236.80.168.254236.80.168.255254
170236.80.169.0/24236.80.169.1 to 236.80.169.254236.80.169.255254
171236.80.170.0/24236.80.170.1 to 236.80.170.254236.80.170.255254
172236.80.171.0/24236.80.171.1 to 236.80.171.254236.80.171.255254
173236.80.172.0/24236.80.172.1 to 236.80.172.254236.80.172.255254
174236.80.173.0/24236.80.173.1 to 236.80.173.254236.80.173.255254
175236.80.174.0/24236.80.174.1 to 236.80.174.254236.80.174.255254
176236.80.175.0/24236.80.175.1 to 236.80.175.254236.80.175.255254
177236.80.176.0/24236.80.176.1 to 236.80.176.254236.80.176.255254
178236.80.177.0/24236.80.177.1 to 236.80.177.254236.80.177.255254
179236.80.178.0/24236.80.178.1 to 236.80.178.254236.80.178.255254
180236.80.179.0/24236.80.179.1 to 236.80.179.254236.80.179.255254
181236.80.180.0/24236.80.180.1 to 236.80.180.254236.80.180.255254
182236.80.181.0/24236.80.181.1 to 236.80.181.254236.80.181.255254
183236.80.182.0/24236.80.182.1 to 236.80.182.254236.80.182.255254
184236.80.183.0/24236.80.183.1 to 236.80.183.254236.80.183.255254
185236.80.184.0/24236.80.184.1 to 236.80.184.254236.80.184.255254
186236.80.185.0/24236.80.185.1 to 236.80.185.254236.80.185.255254
187236.80.186.0/24236.80.186.1 to 236.80.186.254236.80.186.255254
188236.80.187.0/24236.80.187.1 to 236.80.187.254236.80.187.255254
189236.80.188.0/24236.80.188.1 to 236.80.188.254236.80.188.255254
190236.80.189.0/24236.80.189.1 to 236.80.189.254236.80.189.255254
191236.80.190.0/24236.80.190.1 to 236.80.190.254236.80.190.255254
192236.80.191.0/24236.80.191.1 to 236.80.191.254236.80.191.255254
193236.80.192.0/24236.80.192.1 to 236.80.192.254236.80.192.255254
194236.80.193.0/24236.80.193.1 to 236.80.193.254236.80.193.255254
195236.80.194.0/24236.80.194.1 to 236.80.194.254236.80.194.255254
196236.80.195.0/24236.80.195.1 to 236.80.195.254236.80.195.255254
197236.80.196.0/24236.80.196.1 to 236.80.196.254236.80.196.255254
198236.80.197.0/24236.80.197.1 to 236.80.197.254236.80.197.255254
199236.80.198.0/24236.80.198.1 to 236.80.198.254236.80.198.255254
200236.80.199.0/24236.80.199.1 to 236.80.199.254236.80.199.255254
201236.80.200.0/24236.80.200.1 to 236.80.200.254236.80.200.255254
202236.80.201.0/24236.80.201.1 to 236.80.201.254236.80.201.255254
203236.80.202.0/24236.80.202.1 to 236.80.202.254236.80.202.255254
204236.80.203.0/24236.80.203.1 to 236.80.203.254236.80.203.255254
205236.80.204.0/24236.80.204.1 to 236.80.204.254236.80.204.255254
206236.80.205.0/24236.80.205.1 to 236.80.205.254236.80.205.255254
207236.80.206.0/24236.80.206.1 to 236.80.206.254236.80.206.255254
208236.80.207.0/24236.80.207.1 to 236.80.207.254236.80.207.255254
209236.80.208.0/24236.80.208.1 to 236.80.208.254236.80.208.255254
210236.80.209.0/24236.80.209.1 to 236.80.209.254236.80.209.255254
211236.80.210.0/24236.80.210.1 to 236.80.210.254236.80.210.255254
212236.80.211.0/24236.80.211.1 to 236.80.211.254236.80.211.255254
213236.80.212.0/24236.80.212.1 to 236.80.212.254236.80.212.255254
214236.80.213.0/24236.80.213.1 to 236.80.213.254236.80.213.255254
215236.80.214.0/24236.80.214.1 to 236.80.214.254236.80.214.255254
216236.80.215.0/24236.80.215.1 to 236.80.215.254236.80.215.255254
217236.80.216.0/24236.80.216.1 to 236.80.216.254236.80.216.255254
218236.80.217.0/24236.80.217.1 to 236.80.217.254236.80.217.255254
219236.80.218.0/24236.80.218.1 to 236.80.218.254236.80.218.255254
220236.80.219.0/24236.80.219.1 to 236.80.219.254236.80.219.255254
221236.80.220.0/24236.80.220.1 to 236.80.220.254236.80.220.255254
222236.80.221.0/24236.80.221.1 to 236.80.221.254236.80.221.255254
223236.80.222.0/24236.80.222.1 to 236.80.222.254236.80.222.255254
224236.80.223.0/24236.80.223.1 to 236.80.223.254236.80.223.255254
225236.80.224.0/24236.80.224.1 to 236.80.224.254236.80.224.255254
226236.80.225.0/24236.80.225.1 to 236.80.225.254236.80.225.255254
227236.80.226.0/24236.80.226.1 to 236.80.226.254236.80.226.255254
228236.80.227.0/24236.80.227.1 to 236.80.227.254236.80.227.255254
229236.80.228.0/24236.80.228.1 to 236.80.228.254236.80.228.255254
230236.80.229.0/24236.80.229.1 to 236.80.229.254236.80.229.255254
231236.80.230.0/24236.80.230.1 to 236.80.230.254236.80.230.255254
232236.80.231.0/24236.80.231.1 to 236.80.231.254236.80.231.255254
233236.80.232.0/24236.80.232.1 to 236.80.232.254236.80.232.255254
234236.80.233.0/24236.80.233.1 to 236.80.233.254236.80.233.255254
235236.80.234.0/24236.80.234.1 to 236.80.234.254236.80.234.255254
236236.80.235.0/24236.80.235.1 to 236.80.235.254236.80.235.255254
237236.80.236.0/24236.80.236.1 to 236.80.236.254236.80.236.255254
238236.80.237.0/24236.80.237.1 to 236.80.237.254236.80.237.255254
239236.80.238.0/24236.80.238.1 to 236.80.238.254236.80.238.255254
240236.80.239.0/24236.80.239.1 to 236.80.239.254236.80.239.255254
241236.80.240.0/24236.80.240.1 to 236.80.240.254236.80.240.255254
242236.80.241.0/24236.80.241.1 to 236.80.241.254236.80.241.255254
243236.80.242.0/24236.80.242.1 to 236.80.242.254236.80.242.255254
244236.80.243.0/24236.80.243.1 to 236.80.243.254236.80.243.255254
245236.80.244.0/24236.80.244.1 to 236.80.244.254236.80.244.255254
246236.80.245.0/24236.80.245.1 to 236.80.245.254236.80.245.255254
247236.80.246.0/24236.80.246.1 to 236.80.246.254236.80.246.255254
248236.80.247.0/24236.80.247.1 to 236.80.247.254236.80.247.255254
249236.80.248.0/24236.80.248.1 to 236.80.248.254236.80.248.255254
250236.80.249.0/24236.80.249.1 to 236.80.249.254236.80.249.255254
251236.80.250.0/24236.80.250.1 to 236.80.250.254236.80.250.255254
252236.80.251.0/24236.80.251.1 to 236.80.251.254236.80.251.255254
253236.80.252.0/24236.80.252.1 to 236.80.252.254236.80.252.255254
254236.80.253.0/24236.80.253.1 to 236.80.253.254236.80.253.255254
255236.80.254.0/24236.80.254.1 to 236.80.254.254236.80.254.255254
256236.80.255.0/24236.80.255.1 to 236.80.255.254236.80.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses